#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QThread>
#include <QMap>
#include <QTreeWidgetItem>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    QMap <QString, QTreeWidgetItem*> branch;

private slots:
    void receive (QString s);
    void receive2 (QString id, QString s);

private:
    Ui::MainWindow *ui;
};

class Vlakno : public QThread
{
Q_OBJECT
private:
    QString name;
signals:
    void send (QString s);
    void send2 (QString id, QString s);
public:
    Vlakno (QString s) : name (s) { }
    void run ();
};


#endif // MAINWINDOW_H
